#
# spec file for package trader
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012-18 John Zaitseff <J.Zaitseff@zap.org.au>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# ***********************************************************************
# *                                                                     *
# *            Star Traders: A Game of Interstellar Trading             *
# *               Copyright (C) 1990-2017, John Zaitseff                *
# *                                                                     *
# ***********************************************************************

# Author: John Zaitseff <J.Zaitseff@zap.org.au>
# $Id: c8d3c05321aea26745a5ced3158245111b97ca14 $

# This file is distributed under the same licence as Star Traders itself:
# the GNU General Public License, version 3 or later.

%define upstream_version   7.12
%define normalised_version 7.12
%define rpm_release_num    1
%define is_prerelease      0

Name:           trader
Version:        %{normalised_version}
Release:        lp152.3.5
Summary:        Star Traders, a simple game of interstellar trading
License:        GPL-3.0+
Group:          Amusements/Games/Strategy/Turn Based
Url:            http://www.zap.org.au/software/trader/

%if 0%{?is_prerelease}
Source0:        ftp://ftp.zap.org.au/pub/trader/unix/prerelease/trader-%{upstream_version}.tar.xz
%else
Source0:        ftp://ftp.zap.org.au/pub/trader/unix/trader-%{upstream_version}.tar.xz
%endif

BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  gperf
BuildRequires:  ncurses-devel
BuildRequires:  update-desktop-files

Requires(post):   hicolor-icon-theme
Requires(postun): hicolor-icon-theme
Recommends:     %{name}-lang = %{version}

%description
Star Traders is a simple game of interstellar trading, where the objective
is to create companies, buy and sell shares, borrow and repay money, in
order to become the wealthiest player (the winner).

%lang_package

%prep
%setup -q -n %{name}-%{upstream_version}

%build
%configure
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name}
%suse_update_desktop_file %{name}

%files
%doc README NEWS COPYING
%{_bindir}/%{name}
%{_mandir}/man6/trader.6%{ext_man}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*

%files lang -f %{name}.lang

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%changelog
* Thu Jan  4 2018 avindra@opensuse.org
- New upstream release of Star Traders: version 7.12.
  * Updated Serbian translation
- cleanup with spec-cleaner
* Sun Jun 18 2017 J.Zaitseff@zap.org.au
- New upstream release of Star Traders: version 7.11.
* Tue Jun  6 2017 J.Zaitseff@zap.org.au
- Changed build dependency from pkgconfig(ncurses) back to ncurses-devel
  so that the package can build on OpenSUSE 42.x.
* Tue Jun  6 2017 J.Zaitseff@zap.org.au
- New upstream release of Star Traders: version 7.10.
- Make the lang package unconditional (assume suse_version >= 1100).
- Changed dependency from ncurses-devel to pkgconfig(ncurses), now that
  the Autoconf macro uses pkg-config.
- Added a dependency on gcc.
- Added a dependency on update-desktop-files for the desktop file.
- Install the desktop file and icons now shipped with Star Traders.
- Remove the clean section, as per current OpenSUSE packaging guidelines.
* Tue Jan  5 2016 J.Zaitseff@zap.org.au
- New upstream release of Star Traders: version 7.9.
* Thu Sep 10 2015 J.Zaitseff@zap.org.au
- New upstream release of Star Traders: version 7.8.
* Tue Aug 18 2015 J.Zaitseff@zap.org.au
- New upstream release of Star Traders: version 7.7.
* Wed Aug 13 2014 J.Zaitseff@zap.org.au
- New upstream release of Star Traders: version 7.6.
* Sat May 24 2014 J.Zaitseff@zap.org.au
- New upstream release of Star Traders: version 7.5.
* Wed May  9 2012 J.Zaitseff@zap.org.au
- New upstream release of Star Traders: version 7.4.
* Mon Apr 30 2012 J.Zaitseff@zap.org.au
- Updated the variable rpm_release_num to 3
- More tweaking just for the very pedantic "osc ci"
* Mon Apr 30 2012 J.Zaitseff@zap.org.au
- Updated the variable rpm_release_num to 2
- Added missing %%changelog section to RPM spec file
- Changed some RPM spec fields to match what "osc ci" requires
* Mon Apr 30 2012 J.Zaitseff@zap.org.au
- Made the RPM spec file more specific for OpenSUSE by removing
  Fedoraisms.
* Sat Apr 14 2012 J.Zaitseff@zap.org.au
- New upstream release of Star Traders: 7.4-pre2
* Fri Mar 30 2012 pth@suse.de
- Complete translation added.
* Thu Mar 29 2012 pth@suse.de
- Initial openSUSE package
- Add german translation and add de to po/LINGUAS
